=== debian/changelog ===
ea-utils (1.1.2+dfsg-3) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (thanks to Bas Couwenberg for the patch)
    Closes: #807198

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2015 10:13:47 +0100

ea-utils (1.1.2+dfsg-2) unstable; urgency=medium

  * Move /usr/bin/alc to /usr/lib/debian-med/bin/alc
    Closes: #794334

 -- Andreas Tille <tille@debian.org>  Thu, 03 Dec 2015 15:33:41 +0100

ea-utils (1.1.2+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #793585)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Jul 2015 17:33:18 +0200

ea-utils (1.1.2-0biolinux4) trusty; urgency=medium

  * Re-remove utility copy of sparsehash as v2 is now in the
    PPA.
  * And don't forget to re-add the dependency

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 22 Jan 2015 18:30:36 +0000

ea-utils (1.1.2-0biolinux2) trusty; urgency=low

  * Initial release for Bio-Linux 8
  * Build against samtools from Debian.
  * Leave utility copy of sparsehash in for now, as Trusty
    has v1 of the lib and we want v2.

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 19 Aug 2014 16:19:00 +0100
