=== debian/control ===
Source: ea-utils
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libbam-dev,
               zlib1g-dev,
               libgsl-dev,
               libsparsehash-dev (>= 2.0)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ea-utils.git
Vcs-Git: git://anonscm.debian.org/debian-med/ea-utils.git
Homepage: https://code.google.com/p/ea-utils/

Package: ea-utils
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         r-base-core,
         r-cran-getopt,
         r-cran-hmisc,
         r-cran-lattice,
         r-cran-survival,
         r-cran-formula,
         r-cran-ggplot2
Recommends: med-config (>= 2.1)
Description: command-line tools for processing biological sequencing data
 Ea-utils provides a set of command-line tools for processing biological
 sequencing data, barcode demultiplexing, adapter trimming, etc.
 .
 Primarily written to support an Illumina based pipeline - but should work with
 any FASTQs.
 .
 Main Tools are:
 .
  * fastq-mcf
 Scans a sequence file for adapters, and, based on a log-scaled threshold,
 determines a set of clipping parameters and performs clipping. Also does
 skewing detection and quality filtering.
  * fastq-multx
 Demultiplexes a fastq. Capable of auto-determining barcode id's based on a
 master set fields. Keeps multiple reads in-sync during demultiplexing. Can
 verify that the reads are in-sync as well, and fail if they're not.
  * fastq-join
 Similar to audy's stitch program, but in C, more efficient and supports some
 automatic benchmarking and tuning. It uses the same "squared distance for
 anchored alignment" as other tools.
  * varcall
 Takes a pileup and calculates variants in a more easily parameterized manner
 than some other tools.
