=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -I/usr/include/google
export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS) -I/usr/include/google

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX='$${DESTDIR}/usr'
	mv debian/$(DEBPKGNAME)/usr/bin/alc debian/$(DEBPKGNAME)/usr/bin/ea-alc
