=== debian/watch ===
version=3

# Upstream was linked via Google Drive, so there is no hope of a working watchfile.
